B10-RESOLVER(8)

NAME
b10-resolver - Recursive DNS server

SYNOPSIS

b10-resolver [-v]

DESCRIPTION

The b10-resolver daemon provides the BIND 10 recursive DNS server. Normally it is started by the bind10(8) boss process.

This daemon communicates with other BIND 10 components over a b10-msgq(8) C-Channel connection. If this connection is not established, b10-resolver will exit.

It also receives its configurations from b10-cfgmgr(8).

OPTIONS

The arguments are as follows:

-v
    Enable verbose mode. This sets logging to the maximum debugging level.

CONFIGURATION AND COMMANDS

The configurable settings are:

forward_addresses defines the list of addresses and ports that b10-resolver should forward queries to. Defining this enables forwarding.

listen_on is a list of addresses and ports for b10-resolver to listen on. The list items are the address string and port number. The defaults are address ::1 port 53 and address 127.0.0.1 port 53.

query_acl is a list of query access control rules. The list items are the action string and the from or key strings. The possible actions are ACCEPT, REJECT and DROP. The from is a remote (source) IPv4 or IPv6 address or special keyword. The key is a TSIG key name. The default configuration accepts queries from 127.0.0.1 and ::1.

retries is the number of times to retry (resend query) after a query timeout (timeout_query). The default is 3.

root_addresses is a list of addresses and ports for b10-resolver to use directly as root servers to start resolving. The list items are the address string and port number. By default, a hardcoded address for l.root-servers.net (199.7.83.42 or 2001:500:3::42) is used.

timeout_client is the number of milliseconds to wait before timing out the incoming client query. If set to -1, this timeout is disabled. The default is 4000. After this timeout, a SERVFAIL is sent back to the client asking the question. (The lookup may continue after the timeout, but a later answer is not returned for the now-past query.)

timeout_lookup is the number of milliseconds before it stops trying the query. If set to -1, this timeout is disabled. The default is 30000.

timeout_query is the number of milliseconds to wait before it retries a query. If set to -1, this timeout is disabled. The default is 2000.

The configuration command is:

shutdown exits b10-resolver. This has an optional pid argument to select the process ID to stop. (Note that the BIND 10 boss process may restart this service if configured.)

SEE ALSO

b10-cfgmgr(8), b10-cmdctl(8), b10-msgq(8), bind10(8), BIND 10 Guide.

HISTORY

The b10-resolver daemon was first coded in September 2010. The initial implementation only provided forwarding. Iteration was introduced in January 2011. Caching was implemented in February 2011. Access control was introduced in June 2011.

COPYRIGHT
Copyright © 2010-2012 Internet Systems Consortium, Inc. ("ISC")